package com.loit.getway.config;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 获取网关的服务列表
 * @author wbh12
 *
 */
@Component
@ConfigurationProperties(prefix = "spring.cloud.gateway")
public class GateWayRoutesYml {

	List<GateWayService> routes;

	public List<GateWayService> getRoutes() {
		return routes;
	}

	public void setRoutes(List<GateWayService> routes) {
		this.routes = routes;
	}
	
}
